Bug 1003575 - stopped service is started automatically if required service is restarted
stopped service is started automatically if required service is restarted
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
: 922795 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 08:04 EDT by Yaniv Bronhaim
Modified: 2015-01-11 10:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-11 10:23:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Bronhaim 2013-09-02 08:04:52 EDT
Description of problem:
When service A requires service B (Means having "Requires=B.service" in A.service file), and performing:
service A stop
service B restart
sleep 10
service A status

The actual results are that service A in up state.

Expected results:
service A should stay down.

Additional Information:
The scenario was raised in Bug 922795
Comment 1 Yaniv Bronhaim 2013-09-02 08:06:51 EDT
*** Bug 922795 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2015-01-09 14:41:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.